<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'insurance',

    /*
     * Modules.
     */
    'modules'   => ['insurance'],

    
    'insurance'       => [
        'model' => [
            'model' => \B2buy\Insurance\Models\Insurance::class,
            'repository' => \B2buy\Insurance\Repositories\Eloquent\InsuranceRepository::class,
            'table' => 'insurances',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'email',  'phone',  'company_name',  'position',  'abn',  'address'],
            'translatables' => [],
            'upload_folder' => 'insurance/insurance',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'B2buy',
            'package' => 'Insurance',
            'module' => 'Insurance',
        ],
    ],
];
