<?php

namespace B2buy\Insurance\Forms;

use Litepie\Form\FormInterpreter;

class Insurance extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('insurance/insurance/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('insurance/insurance/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('insurance/insurance'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('insurance/insurance'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('insurance/insurance'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('insurance/insurance'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('insurance::insurance.label.name'),
                "placeholder" => trans('insurance::insurance.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('insurance::insurance.label.created_at'),
            'name' => trans('insurance::insurance.label.name'),
            'status' => trans('insurance::insurance.label.status'),
        ];
        self::$groups = [
            'main' => trans('insurance::insurance.groups.main'),
            'details' => trans('insurance::insurance.groups.details'),
            'images' => trans('insurance::insurance.groups.images'),
            'settings' => trans('insurance::insurance.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('insurance::insurance.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('insurance::insurance.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('insurance::insurance.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('insurance::insurance.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.name'),
                "placeholder" => trans('insurance::insurance.placeholder.name'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.email'),
                "placeholder" => trans('insurance::insurance.placeholder.email'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.phone'),
                "placeholder" => trans('insurance::insurance.placeholder.phone'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'company_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.company_name'),
                "placeholder" => trans('insurance::insurance.placeholder.company_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'position' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.position'),
                "placeholder" => trans('insurance::insurance.placeholder.position'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'abn' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.abn'),
                "placeholder" => trans('insurance::insurance.placeholder.abn'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('insurance::insurance.label.address'),
                "placeholder" => trans('insurance::insurance.placeholder.address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
