<?php

namespace B2buy\Insurance\Repositories\Eloquent;

use B2buy\Insurance\Interfaces\InsuranceRepositoryInterface;
use Litepie\Repository\BaseRepository;
use B2buy\Insurance\Repositories\Eloquent\Presenters\InsuranceItemPresenter;


class InsuranceRepository extends BaseRepository implements InsuranceRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('b2buy.insurance.insurance.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.insurance.insurance.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return InsuranceItemPresenter::class;
    }
}
